#ifndef EETSIGNER_H
#define EETSIGNER_H

#include <QObject>
#include <QByteArray>
#include <Qca-qt5/QtCrypto/QtCrypto>

class EetSigner : public QObject
{
    Q_OBJECT
public:
    explicit EetSigner(QObject *parent = 0);

    QByteArray signData(const QByteArray &data);
    QByteArray sha1HashData(const QByteArray &data);
    QByteArray sha256HashData(const QByteArray &data);
    QString getCertificate();
    void setup(const QString &certPath, const QCA::SecureArray &certPasswd);

private:
    QCA::Initializer m_qcaInit;
    QCA::KeyBundle m_bundle;
    QCA::ConvertResult m_result;

signals:

public slots:
};

#endif // EETSIGNER_H
